Bug 178309 - [MAINTAINER] emulators/higan: Install missing files, add DEBUG option, fix pkg-plist
Summary: [MAINTAINER] emulators/higan: Install missing files, add DEBUG option, fix pk...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-03 05:20 UTC by Naram Qashat
Modified: 2013-05-05 15:30 UTC (History)
0 users

See Also:


Attachments
higan-0.92_1.patch (3.73 KB, patch)
2013-05-03 05:20 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2013-05-03 05:20:00 UTC
- Install missing files.
- Add DEBUG option.
- Fix missing @dirrmtry entry in pkg-plist for share/pixmaps.
- Patch loading so ${PREFIX}/share can be used for higan's BIOS files and shaders.

Generated with FreeBSD Port Tools 0.99_7 (mode: change, diff: ports)
Comment 1 dfilter service freebsd_committer 2013-05-05 15:22:03 UTC
Author: rakuco
Date: Sun May  5 14:21:55 2013
New Revision: 317416
URL: http://svnweb.freebsd.org/changeset/ports/317416

Log:
  - Install missing files.
  - Add DEBUG option.
  - Fix missing @dirrmtry entry in pkg-plist for share/pixmaps.
  - Patch loading so ${PREFIX}/share can be used for higan's BIOS files and shaders.
  
  PR:		ports/178309
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

Added:
  head/emulators/higan/files/patch-target-ethos-AddSharePath   (contents, props changed)
Modified:
  head/emulators/higan/Makefile
  head/emulators/higan/pkg-plist

Modified: head/emulators/higan/Makefile
==============================================================================
--- head/emulators/higan/Makefile	Sun May  5 14:20:12 2013	(r317415)
+++ head/emulators/higan/Makefile	Sun May  5 14:21:55 2013	(r317416)
@@ -3,6 +3,7 @@
 
 PORTNAME=	higan
 PORTVERSION=	0.92
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}_v${PORTVERSION:S/.//}-source
@@ -19,6 +20,7 @@ USE_LDCONFIG=	yes
 ONLY_FOR_ARCHS=	i386 amd64
 MAKE_ENV+=	c="${CC} -std=gnu99" cpp="${CXX} -std=gnu++0x"
 
+OPTIONS=		DEBUG
 OPTIONS_SINGLE=		PROFILE GUI
 OPTIONS_SINGLE_PROFILE=	ACCURACY BALANCED PERFORMANCE
 OPTIONS_SINGLE_GUI=	GTK2 QT4
@@ -114,6 +116,14 @@ post-patch:
 		-e 's|%%AUDIO%%|${AUDIO_DRIVER}|' \
 		-e 's|%%INPUT%%|${INPUT_DRIVER}|' \
 		${WRKSRC}/higan/target-ethos/Makefile
+.if ${PORT_OPTIONS:MDEBUG}
+	${REINPLACE_CMD} -e 's|-O3|-g|g' \
+		${WRKSRC}/ananke/Makefile \
+		${WRKSRC}/higan/Makefile
+	${REINPLACE_CMD} -e 's|:= -s|:= #|g' \
+		${WRKSRC}/higan/Makefile
+.endif
+	${RM} ${WRKSRC}/shaders/Sepia.Direct3D.shader
 
 do-build:
 .for d in higan ananke
@@ -130,5 +140,8 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/higan/data/higan.png ${PREFIX}/share/pixmaps/
 	${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/higan/data/higan.desktop ${PREFIX}/share/applications/
+	${MKDIR} ${DATADIR}/Video\ Shaders
+	(cd ${WRKSRC}/higan/profile && ${COPYTREE_SHARE} \* ${DATADIR}/)
+	${INSTALL_DATA} ${WRKSRC}/shaders/* ${DATADIR}/Video\ Shaders/
 
 .include <bsd.port.mk>

Added: head/emulators/higan/files/patch-target-ethos-AddSharePath
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/higan/files/patch-target-ethos-AddSharePath	Sun May  5 14:21:55 2013	(r317416)
@@ -0,0 +1,30 @@
+--- higan/target-ethos/ethos.hpp.orig	2012-11-04 00:39:15.000000000 -0400
++++ higan/target-ethos/ethos.hpp	2013-04-30 23:07:49.000000000 -0400
+@@ -41,6 +41,7 @@
+   unsigned depth;
+ 
+   string basepath;
++  string sharepath;
+   string userpath;
+ 
+   string normalFont;
+--- higan/target-ethos/ethos.cpp.orig	2013-01-12 17:01:26.000000000 -0500
++++ higan/target-ethos/ethos.cpp	2013-04-30 23:10:23.000000000 -0400
+@@ -18,6 +18,9 @@
+   string path = {basepath, filename};
+   if(file::exists(path)) return path;
+   if(directory::exists(path)) return path;
++  path = {sharepath, filename};
++  if(file::exists(path)) return path;
++  if(directory::exists(path)) return path;
+   return {userpath, filename};
+ }
+ 
+@@ -44,6 +47,7 @@
+   autopause = false;
+ 
+   basepath = dir(realpath(argv[0]));
++  sharepath = {parentdir(basepath), "share/higan/"};
+   userpath = {nall::configpath(), "higan/"};
+   directory::create(userpath);
+ 

Modified: head/emulators/higan/pkg-plist
==============================================================================
--- head/emulators/higan/pkg-plist	Sun May  5 14:20:12 2013	(r317415)
+++ head/emulators/higan/pkg-plist	Sun May  5 14:21:55 2013	(r317416)
@@ -2,5 +2,25 @@ bin/higan
 lib/libananke.so.1
 lib/libananke.so
 share/applications/higan.desktop
+%%DATADIR%%/Famicom.sys/manifest.bml
+%%DATADIR%%/Game Boy Advance.sys/manifest.bml
+%%DATADIR%%/Game Boy Color.sys/boot.rom
+%%DATADIR%%/Game Boy Color.sys/manifest.bml
+%%DATADIR%%/Game Boy.sys/boot.rom
+%%DATADIR%%/Game Boy.sys/manifest.bml
+%%DATADIR%%/Super Famicom.sys/ipl.rom
+%%DATADIR%%/Super Famicom.sys/manifest.bml
+%%DATADIR%%/Video Shaders/Curvature.OpenGL.shader
+%%DATADIR%%/Video Shaders/HQ2x.OpenGL.shader
+%%DATADIR%%/Video Shaders/Pixellate.OpenGL.shader
+%%DATADIR%%/Video Shaders/Scale2x.OpenGL.shader
 share/pixmaps/higan.png
+@dirrmtry share/pixmaps
+@dirrm %%DATADIR%%/Video Shaders
+@dirrm %%DATADIR%%/Super Famicom.sys
+@dirrm %%DATADIR%%/Game Boy.sys
+@dirrm %%DATADIR%%/Game Boy Color.sys
+@dirrm %%DATADIR%%/Game Boy Advance.sys
+@dirrm %%DATADIR%%/Famicom.sys
+@dirrm %%DATADIR%%
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-05-05 15:22:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!